Pause
没有引号。。。。在需要暂停的地方尝试一下。。
哦,我看你确实试过了。。。。。这很奇怪。它允许我在暂停时暂停。让我找到我知道的使用暂停的代码行。。。。 例如,或示例:
这是一个子功能,是更大例程的一部分
(defun MySub (a1 a2 a3 insertpt1 / OBJ P2 P3 ) ;subfunction
(vl-load-com) ;load vlisp functions
(if (= objx 1) ;if objx is 1, ent=line or pline
(progn ;preform these actions
(setvar "osmode" 0) ;first turn off osnap
(command "._insert" a1 insertpt1 "" "" pause) ;insert into space
(hms:attrt)
(princ)
(if (> a2 0.0) ;if trim dist is greater than 0.0 preform
(progn ;these actions
(setq obj (vlax-ename->vla-object name)) ;get entity object
(if (eq (vla-get-ObjectName obj) "AcDbPolyline") ;if it is a LwPolyline
(setq p3 insertpt1 ;get first break point
p2 (angle insertpt1(vlax-curve-getpointatparam obj(fix (vlax-curve-getparamatpoint obj insertpt1)))))
(setq p3 insertpt1 ;and second break point
p2 (angle (vlax-curve-getStartpoint obj) (vlax-curve-getEndPoint obj)))
) ;if
(command "break" name (polar p3 p2 a2) (polar p3 p2 a3)) ;break line
) ;progn
(princ "\n......Selected....\n......Breaking Lines....") ;status
) ;if
)
(progn
(command "._insert" a1 insertpt1 "" "" pause) ;insert onto line
(hms:attrt)
(princ)
)
) ;if
(princ "\n......Insertion Completed!") ;print clear to screen
(princ) ;print clear
) ;MySub
也许这会有用。
感谢您的帮助,但这与我在发布的代码中使用暂停的方式类似。
我对此仍有意见。有人还有什么建议吗? 好啊我是在仔细阅读了李的教程后得到的。谢谢李!!!!
这是我到目前为止所拥有的。。。
(defun c:myfunction ( / oln spl)
(setq obj (entget (car (entsel "\nSelect Object"))))
(setq oln (cdr (assoc 8 obj)))
(setq spl (cdr (nth 17 obj)))
(command "clayer" (strcat oln "-IDEN"))
(command "mleader" pause pause spl)
(princ)
)
现在开始试着用盒子把这个东西包起来。关于从哪里开始有什么建议吗?
页:
1
[2]